function matrix = ToMatrix(vector)

% This function returns the corresponding (3x3) matrix of a (1x6) vector
% containing Voigt's notation of a determinate stress or strain

if size(vector,2) == 6
    matrix(1,1) = vector(1) ;
    matrix(2,2) = vector(2) ;
    matrix(3,3) = vector(3) ;
    matrix(1,2) = vector(4) ;
    matrix(2,1) = vector(4) ;
    matrix(1,3) = vector(5) ;
    matrix(3,1) = vector(5) ;
    matrix(2,3) = vector(6) ;
    matrix(3,2) = vector(6) ;
else
    error('input vector must be (1x6) size')
end

        
        